nav {
	display: flex;
	align-items: center;
}

.menu {
	display: flex;
	flex-direction: row;
	list-style-type: none;
	padding: 0;
}

@media screen and (max-width: 1000px) {
	.menu {
		flex-direction: column;
		position: fixed;
		visibility: hidden;
		top: 0;
		left: 0;
		width: 100%;
		margin: -600px 0 0 0;
		padding: 0.6em 0;
		text-align: center;
		background-color: #ffffff;
		box-shadow: 1px 0 6px rgba(0, 0, 0, 0.2);
		z-index: 1;
		transition-duration: 0.5s;
	}
}

.menu_item {
	display: flex;
	flex-direction: column;
	color: #666;
	font-family: sans-serif;
	font-size: 14px;
	font-weight: 400;
	text-decoration: none;
	text-transform: uppercase;
}

.menu_item:visited {
	color: #666;
}

@media screen and (max-width: 1000px) {
	.menu_item {
		display: block;
		padding: 12px 24px;
		font-size: 18px;
		transition-duration: 0.5s;
	}

	.menu_item:hover {
		background-color: #4f5464;
        color: white;
	}
}

#menu__toggle {
	opacity: 0;
}

#menu__toggle:checked ~ .menu__btn > span {
	transform: rotate(45deg);
}

#menu__toggle:checked ~ .menu__btn > span::before {
	top: 0;
	transform: rotate(0);
}

#menu__toggle:checked ~ .menu__btn > span::after {
	top: 0;
	transform: rotate(90deg);
}

#menu__toggle:checked ~ .menu {
	visibility: visible;
	left: 0;
	margin: 0;
}

.menu__btn {
	transition-duration: 0.25s;
	box-sizing: border-box;
	display: flex;
	align-items: center;
	position: relative;
	bottom: 2px;
	width: 26px;
	height: 26px;
	cursor: pointer;
	z-index: 2;
}

@media screen and (min-width: 1000px) {
	.menu__btn {
		display: none;
	}
}
.menu__btn span {
	display: inline-block;
	position: absolute;
	width: 100%;
	height: 3px;
	background-color: #ffffff;
}

.menu__btn span::before {
	display: inline-block;
	position: absolute;
	width: 100%;
	height: 3px;
	background-color: #0a0f5a;
	content: '';
	top: -8px;
	transition-duration: 0.25s;
}

.menu__btn span::after {
	display: inline-block;
	position: absolute;
	width: 100%;
	height: 3px;
	background-color: #0a0f5a;
	content: '';
	top: 8px;
	transition-duration: 0.25s;
}

#title_menu {
	margin: 0 15px 0 auto;
}

#title_menu ul {
	list-style: none;
	margin: 0;
	display: flex;
}

@media screen and (max-width: 1000px) {
	#title_menu ul {
        margin: -600px 0 0 0;
	}
}

#title_menu li {
	margin: 0 0 0 15px;
	padding-left: 10px;
	font-size: 16px;
	border-left: 1px solid rgb(69, 69, 69);
}

@media (max-width: 1050px) {
	#title_menu li {
		margin: 0 0 0 15px;
		padding-left: 10px;
		font-size: 12px;
		border-left: 1px solid rgb(69, 69, 69);
	}
}

@media screen and (max-width: 1000px) {
	#title_menu li {
		margin: 0px;
		padding-left: 0px;
		font-size: 16px;
		border-left: none;
	}
}

#title_menu li:first-child {
	border-left: 0px solid rgb(69, 69, 69);
}



